#ifndef ChronoReading_H
#define ChronoReading_H

#include <Arduino.h>
#include "ChronoProfile.h"

class ChronoReading {
  public:

    // Constructor: Called when a ChronoReading object is created
    ChronoReading();
    ChronoReading(int fps, ChronoProfile profile);

    // Public methods
    int getFPS();
    int getFPE();
    ChronoProfile getProfile();

  private:
    float _calculateFPE(float fps, float weight);
    int _fps;
    ChronoProfile _profile;

};

#endif